Skip to main content
GET
/
v1
/
immunogenicity-analyses
List immunogenicity analyses for a variant
curl --request GET \
  --url https://api.example.com/v1/immunogenicity-analyses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "completed_at": "2026-04-22T14:17:05+00:00",
      "created_at": "2026-04-22T14:15:00+00:00",
      "credit_cost": 2,
      "id": "cccc3333-dddd-4444-eeee-555566667777",
      "inputs": {
        "variant_id": "11112222-3333-4444-5555-666677778888"
      },
      "object": "immunogenicity_analysis",
      "results": {
        "bcell_epitopes": [],
        "bcell_risk": 0.11,
        "deimmunization_suggestions": [],
        "mhc1_epitopes": [],
        "mhc1_risk": 0.15,
        "mhc2_epitopes": [],
        "mhc2_risk": 0.28,
        "model_versions": {
          "mhcflurry": "2.1.4"
        },
        "risk_score": 0.22
      },
      "started_at": "2026-04-22T14:15:02+00:00",
      "status": "completed"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

variant_id
string<uuid>
required
limit
integer
default:50
Required range: 1 <= x <= 200
after
string | null

Response

Successful Response

data
ImmunogenicityAnalysis · object[]
required
has_more
boolean
required
next_cursor
string | null